export interface StateControlExposedInteropApi {
    registry: StateControlCommandRegistry<any>;
    setUndoCommand(undoCommand: () => void): void;
    setRedoCommand(redoCommand: () => void): void;
}
export interface StateControlCommandRegistry<T> {
    register(id: string, command: T): void;
    peek(): T | null;
    pop(): T | null;
    isEmpty(): boolean;
    getCommands(): T[];
    clear(): void;
    setMaxSize(size: number): void;
}
//# sourceMappingURL=StateControlExposedInteropApi.d.ts.map